Bug 2266604 - Review Request: uniol-fonts - Unicode compliant Open source Ol Chiki font [NEEDINFO]
Summary: Review Request: uniol-fonts - Unicode compliant Open source Ol Chiki font
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: UNRETIREMENT
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-02-28 13:43 UTC by Dr Anirban Mitra
Modified: 2024-04-29 23:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
loganjerry: fedora-review+
loganjerry: needinfo? (mitra_anirban)


Attachments (Terms of Use)
The .spec file difference from Copr build 7068749 to 7208172 (3.10 KB, patch)
2024-03-24 15:15 UTC, Fedora Review Service
no flags Details | Diff

Description Dr Anirban Mitra 2024-02-28 13:43:42 UTC
UNRETIRE uniol-fonts 
Spec URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-rawhide-x86_64/03330673-uniol-fonts/uniol-fonts.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-rawhide-x86_64/03330673-uniol-fonts/uniol-fonts-1.0.1-6.fc36.noarch.rpm
Description: This is a Unicode compliant OlChiki or OlCemet font.
 OlChiki is a modern alphabetic script used to write Santhali 
 language used in various states of India. 
Fedora Account System Username:mitradranirban

Comment 1 Fedora Review Service 2024-02-28 13:44:04 UTC
Cannot find any valid SRPM URL for this ticket. Common causes are:

- You didn't specify `SRPM URL: ...` in the ticket description
  or any of your comments
- The URL schema isn't HTTP or HTTPS
- The SRPM package linked in your URL doesn't match the package name specified
  in the ticket summary


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Dr Anirban Mitra 2024-02-28 14:45:48 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-40-x86_64/07068712-uniol-fonts/uniol-fonts.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-40-x86_64/07068712-uniol-fonts/uniol-fonts-1.0.1-9.fc40.src.rpm
Description: This is a Unicode compliant OlChiki or OlCemet font.
 OlChiki is a modern alphabetic script used to write Santhali 
 language used in various states of India. 
Fedora Account System Username:mitradranirban
UNRETIRE uniol-fonts 
corrected srpm entry

Comment 3 Fedora Review Service 2024-02-28 14:51:30 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7068749
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2266604-uniol-fonts/fedora-rawhide-x86_64/07068749-uniol-fonts/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Jerry James 2024-03-22 19:26:39 UTC
I will take this review.

Comment 5 Jerry James 2024-03-22 19:39:37 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- The License field must be a valid SPDX expression.
  Note: Not a valid SPDX expression 'OFL'. It seems that you are using the
  old Fedora license abbreviations. Try `license-fedora2spdx' for
  converting it to SPDX.
  See: https://fedoraproject.org/wiki/Changes/SPDX_Licenses_Phase_1

  I think the License tag should be "OFL-1.1-RFN".

- The name of the license file in %fontlicenses is incorrect, so no license file
  is included in the binary package.  It should be:

  %global fontlicenses      Licence

- Should %files contain "%doc README.md"?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* SIL Open Font License
     1.1", "SIL Open Font License 1.1". 3 files have unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 116 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run fc-query on all fonts in package.
[!]: Run repo-font-audit on all fonts in package.
     Note: Cannot find repo-font-audit, install fontpackages-tools package
     to make a comprehensive font review.
     See: url: undefined


Rpmlint
-------
Checking: uniol-fonts-1.0.1-9.fc41.src.rpm
================================================ rpmlint session starts ================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpzhqroeq1')]
checks: 32, packages: 1

=========== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 4 filtered, 0 badness; has taken 0.1 s ===========




Rpmlint (installed packages)
----------------------------
================================================ rpmlint session starts ================================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 1

=========== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 3 filtered, 0 badness; has taken 0.0 s ===========



Source checksums
----------------
https://github.com/mitradranirban/font-uniol/archive/v1.0.1/font-uniol-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8a391884c1acda1824eed11983e71a8e49dda67b6ff1a1e02819df18638cb7bf
  CHECKSUM(SHA256) upstream package : 8a391884c1acda1824eed11983e71a8e49dda67b6ff1a1e02819df18638cb7bf


Requires
--------
config(uniol-fonts) = 1.0.1-9.fc41
fontpackages-filesystem


Provides
--------
config(uniol-fonts) = 1.0.1-9.fc41
font(uniol)
metainfo()
metainfo(org.fedoraproject.uniol-fonts.metainfo.xml)
uniol-fonts = 1.0.1-9.fc41


Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2266604 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: fonts, Generic, Shell-api
Disabled plugins: Haskell, SugarActivity, R, Perl, PHP, C/C++, Java, Python, Ocaml, Ruby
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 6 Dr Anirban Mitra 2024-03-24 05:58:46 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-rawhide-x86_64/07207694-uniol-fonts/uniol-fonts.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/mitradranirban/uniol-fonts/fedora-rawhide-x86_64/07207694-uniol-fonts/uniol-fonts-1.0.1-10.fc41.src.rpm

Description: This is a Unicode compliant OlChiki or OlCemet font.
 OlChiki is a modern alphabetic script used to write Santhali 
 language used in various states of India. 
Fedora Account System Username:mitradranirban

corrected licence file name and licence term converted to SPDX Compliant

Comment 7 Fedora Review Service 2024-03-24 15:15:42 UTC
Created attachment 2023358 [details]
The .spec file difference from Copr build 7068749 to 7208172

Comment 8 Fedora Review Service 2024-03-24 15:15:45 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7208172
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2266604-uniol-fonts/fedora-rawhide-x86_64/07208172-uniol-fonts/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 9 Jerry James 2024-03-24 20:25:50 UTC
That looks great.  This package is APPROVED.

Comment 10 Dr Anirban Mitra 2024-03-28 16:49:51 UTC
Thanks.I will upload the package when it is unretired by releng.

Comment 11 Jerry James 2024-04-29 23:29:18 UTC
Do you still intend to unretire this package?


Note You need to log in before you can comment on or make changes to this bug.